com.smartgwt.client.widgets.calendar.events

## Class CalendarEventRemoveClick

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.smartgwt.client.event.AbstractSmartEvent<H>
      - - com.smartgwt.client.widgets.events.BrowserEvent<EventRemoveClickHandler>
        - - com.smartgwt.client.widgets.calendar.events.CalendarEventRemoveClick

- All Implemented Interfaces:
    Cancellable

      public class CalendarEventRemoveClick
      extends BrowserEvent<EventRemoveClickHandler>
      implements Cancellable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalendarEventRemoveClick(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()` Call this method to cancel the removal
    `protected void` | `dispatch(EventRemoveClickHandler handler)`
    `static <S extends HasEventRemoveClickHandlers & com.google.gwt.event.shared.HasHandlers> void` | `fire(S source, com.google.gwt.core.client.JavaScriptObject jsObj)` Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    `com.google.gwt.event.shared.GwtEvent.Type<EventRemoveClickHandler>` | `getAssociatedType()`
    `CalendarEvent` | `getEvent()` event that was clicked on
    `Canvas` | `getFiringCanvas()` Returns the `Canvas` firing the event.
    `static com.google.gwt.event.shared.GwtEvent.Type<EventRemoveClickHandler>` | `getType()` Gets the type associated with this event.
    `java.lang.String` | `getViewName()` view where the event was clicked on: "day", "week" or "month"
    `boolean` | `isCancelled()`

    - ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

      `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

    - ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `getFiringInstanceAsJavaScriptObject`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CalendarEventRemoveClick

          public CalendarEventRemoveClick(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getFiringCanvas

          public Canvas getFiringCanvas()

      Returns the `Canvas` firing the event.
      Returns:
        Canvas firing the event

    - #### fire

          public static <S extends HasEventRemoveClickHandlers & com.google.gwt.event.shared.HasHandlers> void fire(S source,
                                                                                                                    com.google.gwt.core.client.JavaScriptObject jsObj)

      Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
      Type Parameters:
        `S` - The event source
      Parameters:
        `source` - the source of the handlers
        `jsObj` - the native event

    - #### getType

          public static com.google.gwt.event.shared.GwtEvent.Type<EventRemoveClickHandler> getType()

      Gets the type associated with this event.
      Returns:
        returns the handler type

    - #### dispatch

          protected void dispatch(EventRemoveClickHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<EventRemoveClickHandler>`

    - #### getAssociatedType

          public final com.google.gwt.event.shared.GwtEvent.Type<EventRemoveClickHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<EventRemoveClickHandler>`

    - #### cancel

          public void cancel()

      Call this method to cancel the removal
      Specified by:
        `cancel` in interface `Cancellable`

    - #### isCancelled

          public boolean isCancelled()

      Specified by:
        `isCancelled` in interface `Cancellable`
      Returns:
        true if cancelled

    - #### getEvent

          public CalendarEvent getEvent()

      event that was clicked on
      Returns:
        event that was clicked on

    - #### getViewName

          public java.lang.String getViewName()

      view where the event was clicked on: "day", "week" or "month"
      Returns:
        view where the event was clicked on: "day", "week" or "month"